
From: Richard Purdie <rpurdie@rpsys.net>

This hunk from the sharpsl/corgi backlight update appears to have got lost
somewhere along the way.  Its needed to match the other changes.

Signed-Off-By: Richard Purdie <rpurdie@rpsys.net>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/video/backlight/corgi_bl.c |    9 +++++----
 1 files changed, 5 insertions(+), 4 deletions(-)

diff -puN drivers/video/backlight/corgi_bl.c~sharpsl-add-missing-hunk-from-backlight-update drivers/video/backlight/corgi_bl.c
--- devel/drivers/video/backlight/corgi_bl.c~sharpsl-add-missing-hunk-from-backlight-update	2005-09-14 22:07:17.000000000 -0700
+++ devel-akpm/drivers/video/backlight/corgi_bl.c	2005-09-14 22:07:17.000000000 -0700
@@ -19,17 +19,18 @@
 #include <linux/fb.h>
 #include <linux/backlight.h>
 
-#include <asm/arch-pxa/corgi.h>
-#include <asm/hardware/scoop.h>
+#include <asm/mach-types.h>
+#include <asm/arch/sharpsl.h>
 
-#define CORGI_MAX_INTENSITY 		0x3e
 #define CORGI_DEFAULT_INTENSITY		0x1f
-#define CORGI_LIMIT_MASK			0x0b
+#define CORGI_LIMIT_MASK		0x0b
 
 static int corgibl_powermode = FB_BLANK_UNBLANK;
 static int current_intensity = 0;
 static int corgibl_limit = 0;
+static void (*corgibl_mach_set_intensity)(int intensity);
 static spinlock_t bl_lock = SPIN_LOCK_UNLOCKED;
+static struct backlight_properties corgibl_data;
 
 static void corgibl_send_intensity(int intensity)
 {
_
